# Interface NativizeOptions

Options for the nativize function.

#### Hierarchy

- NativizeOptions

- Defined in codec/lib/export.ts:45

#####
Index

### Properties

format?
numberFormatter?

## Properties

### `Optional` format

format?: "ethers"

The format for the nativized result. Currently the only supported format is "ethers", which nativizes things in a way compatible with how Ethers decodes values. This format is quite limited, but more may be added in the future. There is also the separate function [[Format.Utils.Inspect.unsafeNativize|unsafeNativize]], although that is, as noted, unsafe.

- Defined in codec/lib/export.ts:62

### `Optional` numberFormatter

numberFormatter?: NumberFormatter

This is a function that is used to describe how to format integer values. It should take as input the number as a BigInt. By default, it's the identity function (i.e., it formats the numbers as BigInts), but by setting it you could instead format numbers as a BN, BigNumber, string, etc.

- Defined in codec/lib/export.ts:53

Generated using TypeDoc